#include <QCoreApplication>
#include <QLoggingCategory>
#include <QTranslator>

#include "notifier.hpp"

int main(int argc, char* argv[]) {
    QLoggingCategory::defaultCategory()->setEnabled(QtDebugMsg, true);
    QCoreApplication a(argc, argv);

    QTranslator translator;
    QString lang = QLocale::system().name();
    translator.load(":/lang/usbguard-notifier_" + lang);
    a.installTranslator(&translator);

    Notifier notifier;
    bool status = QDBusConnection::systemBus().connect(
            "org.usbguard1",
            "/org/usbguard1/Devices",
            "org.usbguard.Devices1",
            "DevicePolicyApplied",
            &notifier,
            SLOT(notify(const QDBusMessage&)));

    if (!status) {
        qWarning() << "Failed to connect slot to signal \"org.usbguard.Devices1.DevicePolicyApplied\"";
    }

    return a.exec();
}
